Bug 429272 - single digit factorials are not evaluated
Summary: single digit factorials are not evaluated
Status: RESOLVED FIXED
Alias: None
Product: krunner
Classification: Plasma
Component: calculator (show other bugs)
Version: 5.20.3
Platform: Archlinux Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Alexander Lohnau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-18 00:42 UTC by Bernhard
Modified: 2020-12-12 21:40 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.21


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard 2020-11-18 00:42:36 UTC
SUMMARY
krunner does not engage the calculater "runner" until 3 chars are entered. This makes it impossible get a result for "7!" without using a leading zero "07!"

STEPS TO REPRODUCE
1. type "7!" into krunner

OBSERVED RESULT
No results are returned

EXPECTED RESULT
Calculator returns 5040 as the answer

Operating System: Arch Linux
KDE Plasma Version: 5.20.3
KDE Frameworks Version: 5.75.0
Qt Version: 5.15.1
Kernel Version: 5.4.77-1-lts
OS Type: 64-bit
Processors: 8 × Intel® Core™ i7-7700 CPU @ 3.60GHz
Memory: 31.3 GiB of RAM
Graphics Processor: AMD Radeon ™ RX 480 Graphics
Comment 1 Alexander Lohnau 2020-12-12 21:10:08 UTC
>=7!
Should work.

By default only +-*/ do not require the = sign at the beginning or end.
Comment 2 Bug Janitor Service 2020-12-12 21:28:10 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/511
Comment 3 Alexander Lohnau 2020-12-12 21:40:17 UTC
Git commit 2fbdc187d56050a1c0475e3081637f587757d841 by Alexander Lohnau.
Committed on 12/12/2020 at 21:30.
Pushed by alex into branch 'master'.

Evaluate single digit factorial
FIXED-IN: 5.21

M  +4    -4    runners/calculator/calculatorrunner.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/2fbdc187d56050a1c0475e3081637f587757d841